Documentation

logstash_plugin - Manage Logstash plugins

New in version 2.3.

Synopsis

  • Manages Logstash plugins.

Parameters

Parameter Choices/Defaults Comments
name
required
Install plugin with that name.
plugin_bin Default:
"/usr/share/logstash/bin/logstash-plugin"
Specify logstash-plugin to use for plugin management.
proxy_host
Proxy host to use during plugin installation.
proxy_port
Proxy port to use during plugin installation.
state
    Choices:
  • present ←
  • absent
Apply plugin state.
version
Specify plugin Version of the plugin to install. If plugin exists with previous version, it will NOT be updated.

Examples

- name: Install Logstash beats input plugin
  logstash_plugin:
    state: present
    name: logstash-input-beats

- name: Install specific version of a plugin
  logstash_plugin:
    state: present
    name: logstash-input-syslog
    version: '3.2.0'

- name: Uninstall Logstash plugin
  logstash_plugin:
    state: absent
    name: logstash-filter-multiline

Status

This module is flagged as preview which means that it is not guaranteed to have a backwards compatible interface.

Maintenance

This module is flagged as community which means that it is maintained by the Ansible Community. See Module Maintenance & Support for more info.

For a list of other modules that are also maintained by the Ansible Community, see here.

Author

  • Loic Blot (@nerzhul)

Hint

If you notice any issues in this documentation you can edit this document to improve it.